#****************************************************************************
#**
#**  Author(s): Kryo, ThePrivateer, ZJ
#**
#**  Summary  :  T2 AntiAir for Nomads MOD
#**
#**  Copyright  2008 Infrared Modding
#****************************************************************************

local NLandUnit = import('/lua/terranunits.lua').TLandUnit
local TAAFlakArtilleryCannon = import('/lua/terranweapons.lua').TAAFlakArtilleryCannon


INU2004 = Class(NLandUnit) {
    Weapons = {
       AAGun = Class(TAAFlakArtilleryCannon) {
            PlayOnlyOneSoundCue = true,
        },
    },
	
	DeathThread = function( self, overkillRatio)
	
		self:HideBone('INU2004', true)
		local explosion = import('/lua/defaultexplosions.lua')
		self:DestroyAllDamageEffects()
		WaitSeconds(15)
		local army = self:GetArmy()
		if ArmyIsOutOfGame(self:GetArmy()) == false then
		local position = _G.QuantumGates.Positions[army]
        local spiritUnit = CreateUnitHPR('INU2004', self:GetArmy(), position[1], position[2], position[3]-7, 0, 0, 0)
		end
		self:Destroy()
end,
}

TypeClass = INU2004