do
   local MyUnitIdTable = {
      'khl0001',
	  'khl0002',
	  'khl0003',
	  'khl0004',
	  'khl0005',
	  'khl0006',
	  'khl0007',
	  'khl0008',
	  'khl0010',
      'uel0001',
	  'khd0001',
	  'khd0002',
	  'kha0001',
	  'kha0002',
	  'khr0001',
	  'khr0002',
	  'khr0003',
	  'khr0005',
	  'khr0006',
	  'khr0007',
	  'khr0008',
	  'khf0001',
	  'khf0002',
	  'khf0003',
	  'khf0005',
	  'khf0006',
	  'khf0007',
	  'khf0008',
	  'inu2004',
	  'khb0001',
	  'khb0002',
	  'khb0003',
	  'khb0004',
     
   }
   --unit icon must be in /icons/units/. Put the full path to the /icons/ folder in here - note no / on the end!
   local MyIconPath = "/mods/heroes"

   local oldFileNameFn = GetUnitIconFileNames
   
   local function IsMyUnit(blueprint)
      for i, v in MyUnitIdTable do
         if v == blueprint.Display.IconName then
            return true
         end
      end
      return false
   end
   
   function GetUnitIconFileNames(blueprint)
      if IsMyUnit(blueprint) then
         local iconName = "/mods/heroes/icons/units/" .. blueprint.Display.IconName .. "_icon.dds"
         local upIconName = "/mods/heroes/icons/units/" .. blueprint.Display.IconName .. "_icon.dds"
         local downIconName = "/mods/heroes/icons/units/" .. blueprint.Display.IconName .. "_icon.dds"
         local overIconName = "/mods/heroes/icons/units/" .. blueprint.Display.IconName .. "_icon.dds"
         
         if DiskGetFileInfo(iconName) == false then
            WARN('Blueprint icon for unit '.. blueprint.Display.IconName ..' could not be found, check your file path and icon names!')
              iconName = '/textures/ui/common/icons/units/default_icon.dds'
          end
         
          if DiskGetFileInfo(upIconName) == false then
              upIconName = iconName
          end

          if DiskGetFileInfo(downIconName) == false then
              downIconName = iconName
          end

          if DiskGetFileInfo(overIconName) == false then
              overIconName = iconName
          end
         return iconName, upIconName, downIconName, overIconName
      else
         return oldFileNameFn(blueprint)
      end
   end
end