do
   local MyUnitIdTable = {
      'khl0001',
	  'khl0002',
	  'khl0003',
	  'khl0004',
	  'khl0005',
	  'khl0006',
	  'khl0007',
	  'khl0008',
	  'khl0010',
      'uel0001',
	  'khd0001',
	  'khd0002',
	  'kha0001',
	  'kha0002',
	  'khr0001',
	  'khr0002',
	  'khr0003',
	  'khr0005',
	  'khr0006',
	  'khr0007',
	  'khr0008',
	  'khf0001',
	  'khf0002',
	  'khf0003',
	  'khf0005',
	  'khf0006',
	  'khf0007',
	  'khf0008',
	  'inu2004',
	  'khb0001',
	  'khb0002',
	  'khb0003',
	  'khb0004',
      
   }
   --unit icon must be in /icons/units/. Put the full path to the /icons/ folder in here - note no / on the end!
   local MyIconPath = "/mods/heroes"
   
   local function IsMyUnit(bpid)
      for i, v in MyUnitIdTable do
         if v == bpid then
            return true
         end
      end
      return false
   end
   
   local oldUpdateWindow = UpdateWindow
   function UpdateWindow(info)
      oldUpdateWindow(info)
      if IsMyUnit(info.blueprintId) and DiskGetFileInfo(MyIconPath .. '/icons/units/' .. info.blueprintId.. '_icon.dds') then
         controls.icon:SetTexture(MyIconPath .. '/icons/units/' .. info.blueprintId .. '_icon.dds')
      end
   end
end